<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'SubjectDetail' }) %>
<body>

    <%- include('partials/navbar.ejs') %>

    <main>
        <h1>Subject detail <%= subject.subjectid %> </h1>

        <div class="row">
            <div class="col-8">
                <div><b>Subject Name: </b> <%= subject.subjectname %></div>
                <div><b>Grade: </b><%= subject.grade %></div>
                <div><b>Number Of Courses: </b><%= subject.course %></div>
                <div><b>Number Of Seminars: </b><%= subject.seminar %></div>
                <div><b>Number Of Labors: </b><%= subject.labor %></div>
                <div><b>Teacher: </b><%= subject.teacherUsername %></div>
                <br>

                <% if (payload.username === subject.teacherUsername) { %>

                    <form method="POST" name="UploadPdfToSubject" action="/subjectDetail/subjectDetail" enctype="multipart/form-data">
                            
                        <input id="subjectid" type="hidden" name="subjectid" value="<%= subject.subjectid %>">

                        <label for="pdfForSubject">Pdf: </label>
                        <input id='pdfForSubject' type="file" name="pdfForSubject" />
                        <br>

                        <input id="idSubmitButton" name="idSubmitButton" type="submit" value="Submit">
                    </form>
                <% } %>
            </div>

            <div class="col-4">
                <% if (pdfs.length === 0) { %>
                    <div>
                        No pdfs for this subject
                    </div>
                <% } %>
                <% pdfs.forEach(pdf => { %>
                    <div class="pdf">
                        <div class="row">
                            <div class="col-1">
                                <span class='bi bi-file-pdf' style='color: red; font-size: 30px;'></span>
                            </div>
                            <div class="col-8">
                                
                                <a href = "/<%= pdf.pdfName %>" download>  
                                    <b> DownloadPdfNr<%= pdf.pdfID %>.pdf </b>  
                                </a>
                            </div>
                            <% if (payload.username === subject.teacherUsername) { %>
                                <div class="col-3">
                                    <input class='btn btn-danger' onclick="deletePdf(event, '<%= pdf.pdfID %>')" type='button' value='Delete'>  
                                </div>
                            <% } %>
                        </div>
                    </div>
                <% }) %>

            </div>
            <div id="showSuccesDelete">
                <div class="alert alert-success alert-dismissible fade show" role="alert" >
                    <strong>Succes</strong> The pdf was deleted
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            </div>
        </div>
    </main>
    <script src="/showsubjects.js"></script>
</body>
</html>